Index: tests/GuiChecks/Parser/Tremolo/testsuite-parser-tremolo-empty.at
===================================================================
--- tests/GuiChecks/Parser/Tremolo/testsuite-parser-tremolo-empty.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Parser/Tremolo/testsuite-parser-tremolo-empty.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,30 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### parsing tremolo
+
+AT_SETUP([Parser - loading empty tremolo file])
+AT_KEYWORDS([parser input tremolo emptyfile])
+
+file=empty.data
+AT_CHECK([/bin/cp ${abs_top_srcdir}/tests/regression/Parser/Tremolo/pre/empty.data $file], 0, [ignore], [ignore])
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file -o tremolo --no-dry-run --store-session session-parser-tremolo-empty.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-tremolo-empty.py >session-parser-tremolo-empty_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-tremolo-empty_new.py], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/GuiChecks/Parser/Tremolo/testsuite-parser-tremolo-improper.at
===================================================================
--- tests/GuiChecks/Parser/Tremolo/testsuite-parser-tremolo-improper.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Parser/Tremolo/testsuite-parser-tremolo-improper.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,48 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### parsing tremolo
+
+AT_SETUP([Parser - loading tremolo file with improper])
+AT_KEYWORDS([parser input load tremolo improper parse-tremolo-potentials])
+
+prefile=bio.data
+file=bio2.data
+AT_CHECK([/bin/cp ${abs_top_srcdir}/tests/regression/Parser/Tremolo/pre/$prefile $prefile], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run --parse-tremolo-potentials ${abs_top_srcdir}/tests/regression/Parser/Tremolo/pre/bio.potentials -i $file -o tremolo -l $prefile --no-dry-run --store-session session-parser-tremolo-improper.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-tremolo-improper.py >session-parser-tremolo-improper_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-tremolo-improper_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -w -I '#.*' $file ${abs_top_srcdir}/tests/regression/Parser/Tremolo/pre/$prefile], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/GuiChecks/Parser/Tremolo/testsuite-parser-tremolo-load-multiply.at
===================================================================
--- tests/GuiChecks/Parser/Tremolo/testsuite-parser-tremolo-load-multiply.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Parser/Tremolo/testsuite-parser-tremolo-load-multiply.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,34 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### parsing tremolo
+
+
+AT_SETUP([Parser - loading twice the same tremolo file])
+AT_KEYWORDS([parser load tremolo select-molecule-by-order select-molecules-atoms translate-atoms])
+
+srcfile=water.data
+destfile=doublewater.data
+AT_CHECK([../../molecuilder --dry-run -i $destfile -o tremolo -l ${abs_top_srcdir}/tests/regression/Parser/Tremolo/pre/$srcfile --no-dry-run --store-session session-parser-tremolo-load-multiply.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-tremolo-load-multiply.py >session-parser-tremolo-load-multiply_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-tremolo-load-multiply_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $destfile -l ${abs_top_srcdir}/tests/regression/Parser/Tremolo/pre/$srcfile --select-molecule-by-order -1 --select-molecules-atoms --translate-atoms --position "2,0,0" --no-dry-run --store-session session-parser-tremolo-load-multiply.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-tremolo-load-multiply.py >session-parser-tremolo-load-multiply_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-tremolo-load-multiply_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -w -I '#.*' $destfile ${abs_top_srcdir}/tests/regression/Parser/Tremolo/post/$destfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/GuiChecks/Parser/Tremolo/testsuite-parser-tremolo-load.at
===================================================================
--- tests/GuiChecks/Parser/Tremolo/testsuite-parser-tremolo-load.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Parser/Tremolo/testsuite-parser-tremolo-load.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,54 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### parsing tremolo
+
+
+AT_SETUP([Parser - loading tremolo file])
+AT_KEYWORDS([parser load tremolo])
+
+file=argon.data
+AT_CHECK([../../molecuilder --dry-run -i $file -o tremolo -l ${abs_top_srcdir}/tests/regression/Parser/Tremolo/pre/argon.data --no-dry-run --store-session session-parser-tremolo-load.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-tremolo-load.py >session-parser-tremolo-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-tremolo-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -w -I '#.*' $file ${abs_top_srcdir}/tests/regression/Parser/Tremolo/post/argon.data], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - loading tremolo file with Undo])
+AT_KEYWORDS([parser load tremolo undo])
+
+file=argon.data
+AT_CHECK([../../molecuilder --dry-run -i $file -o tremolo -l ${abs_top_srcdir}/tests/regression/Parser/Tremolo/pre/argon.data --undo --no-dry-run --store-session session-parser-tremolo-load.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-tremolo-load.py >session-parser-tremolo-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-tremolo-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -w -I '#.*' $file ${abs_top_srcdir}/tests/regression/Parser/Tremolo/post/empty.data], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - loading tremolo file with Redo])
+AT_KEYWORDS([parser load tremolo redo])
+
+file=argon.data
+AT_CHECK([../../molecuilder --dry-run -i $file -o tremolo -l ${abs_top_srcdir}/tests/regression/Parser/Tremolo/pre/argon.data --undo --redo --no-dry-run --store-session session-parser-tremolo-load.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-tremolo-load.py >session-parser-tremolo-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-tremolo-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -w -I '#.*' $file ${abs_top_srcdir}/tests/regression/Parser/Tremolo/post/argon.data], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/GuiChecks/Parser/Tremolo/testsuite-parser-tremolo-save-unique_usedfields.at
===================================================================
--- tests/GuiChecks/Parser/Tremolo/testsuite-parser-tremolo-save-unique_usedfields.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Parser/Tremolo/testsuite-parser-tremolo-save-unique_usedfields.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,29 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### parsing tremolo
+
+
+AT_SETUP([Parser - saving tremolo file contains unique usedFields])
+AT_KEYWORDS([parser output tremolo])
+
+AT_CHECK([../../molecuilder --dry-run -i output.data -o tremolo --set-tremolo-atomdata "Id type x=3 neighbors=4" -l ${abs_top_srcdir}/tests/regression/Parser/Tremolo/pre/water-neighbors.data --no-dry-run --store-session session-parser-tremolo-save-unique_usedfields.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-tremolo-save-unique_usedfields.py >session-parser-tremolo-save-unique_usedfields_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-tremolo-save-unique_usedfields_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -w -I '#.*' output.data ${abs_top_srcdir}/tests/regression/Parser/Tremolo/post/output.data], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/GuiChecks/Parser/Tremolo/testsuite-parser-tremolo-save.at
===================================================================
--- tests/GuiChecks/Parser/Tremolo/testsuite-parser-tremolo-save.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Parser/Tremolo/testsuite-parser-tremolo-save.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,40 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### parsing tremolo
+
+
+AT_SETUP([Parser - saving tremolo file])
+AT_KEYWORDS([parser output tremolo])
+
+AT_CHECK([../../molecuilder --dry-run -l ${abs_top_srcdir}/tests/regression/Parser/Tremolo/pre/test.data --output-as store.data --no-dry-run --store-session session-parser-tremolo-save.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-tremolo-save.py >session-parser-tremolo-save_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-tremolo-save_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -w -I '#.*' store.data ${abs_top_srcdir}/tests/regression/Parser/Tremolo/post/test.data], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - saving tremolo from loaded xyz file])
+AT_KEYWORDS([parser tremolo xyz])
+
+AT_CHECK([../../molecuilder --dry-run -i test.xyz  -o tremolo -l ${abs_top_srcdir}/tests/regression/Parser/Tremolo/pre/test.xyz --no-dry-run --store-session session-parser-tremolo-save.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-tremolo-save.py >session-parser-tremolo-save_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-tremolo-save_new.py], 0, [ignore], [ignore])
+AT_CHECK([file=test.data; diff -w -I '#.*' $file ${abs_top_srcdir}/tests/regression/Parser/Tremolo/post/test_xyz.data], 0, [ignore], [ignore])
+
+AT_CLEANUP
